
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/ai/backend/web:dist

from setuptools import setup

setup(**{
    'author': 'Lablup Inc. and contributors',
    'classifiers': [
        'Intended Audience :: Developers',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: POSIX :: Linux',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3',
        'Environment :: No Input/Output (Daemon)',
        'Topic :: Scientific/Engineering',
        'Topic :: Software Development',
        'Development Status :: 5 - Production/Stable',
        'Programming Language :: Python :: 3.12',
        'License :: OSI Approved :: GNU Lesser General Public License v3 or later (LGPLv3+)',
    ],
    'description': 'Backend.AI WebUI Host',
    'entry_points': {
        'backendai_cli_v10': [
            'web = ai.backend.web.cli:main',
            'web.start-server = ai.backend.web.server:main',
        ],
    },
    'install_requires': (
        'Jinja2~=3.1.4',
        'aiohttp_cors~=0.7',
        'aiohttp~=3.10.8',
        'aiotools~=1.8.2',
        'backend.ai-cli==25.5.2',
        'backend.ai-client==25.5.2',
        'backend.ai-common==25.5.2',
        'backend.ai-logging==25.5.2',
        'backend.ai-plugin==25.5.2',
        'click~=8.1.7',
        'coloredlogs~=15.0',
        'pycryptodome>=3.20.0',
        'setproctitle~=1.3.2',
        'setuptools~=75.1.0',
        'tomli~=2.0.1',
        'trafaret~=2.1',
        'types-Jinja2',
        'types-setuptools',
        'uvloop~=0.20.0; sys_platform != "Windows"',
        'yarl~=1.13.1',
    ),
    'license': 'LGPLv3',
    'long_description': """# Backend.AI Web Server

[![GitHub version](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver.svg)](https://badge.fury.io/gh/lablup%2Fbackend.ai-webserver) [![PyPI version](https://badge.fury.io/py/backend.ai-webserver.svg)](https://badge.fury.io/py/backend.ai-webserver)

A webapp hosting daemon which serves our `webui` as a SPA and proxies API requests


## Installation

Prepare a Python virtualenv (Python 3.9 or higher) and a Redis server (6.2 or higher).

```console
$ git clone https://github.com/lablup/backend.ai-webserver webserver
$ cd webserver
$ pip install -U -e .
$ cp webserver.sample.conf webserver.conf
```

## Mode

If `service.mode` is set "webui" (the default), the webserver handles
PWA-style fallbacks (e.g., serving `index.html` when there are no matching
files for the requested URL path).
The PWA must exclude `/server` and `/func` URL prefixes from its own routing
to work with the webserver's web sessions and the API proxy.

If it is set "static", the webserver serves the static files as-is,
without any fallbacks or hooking, while preserving the `/server` and `/func`
prefixed URLs and their functionalities.

If you want to serve web UI in webserver with "webui" mode, prepare static web UI source by choosing one of the followings.

### Option 1: Build web UI from source

Build **[backend.ai-webui](https://github.com/lablup/backend.ai-webui)** and copy all files under `build/bundle`
into the `src/ai/backend/web/static` directory.

### Option 2: Use pre-built web UI

To download and deploy web UI from pre-built source, do the following:

```console
cd src/ai/backend/web
curl --fail -sL https://github.com/lablup/backend.ai-webui/releases/download/v$TARGET_VERSION/backend.ai-webui-bundle-$TARGET_VERSION.zip > /tmp/bai-webui.zip
rm -rf static
mkdir static
cd static
unzip /tmp/bai-webui.zip
```
### Setup configuration for webserver

You don't have to write `config.toml` for the web UI as this webserver auto-generates it on-the-fly.

Edit `webserver.conf` to match with your environment.


## Usage

To execute web server, run command below. (for debugging, append a `--debug` flag)


```console
$ python -m ai.backend.web.server
```
""",
    'long_description_content_type': 'text/markdown',
    'name': 'backend.ai-webserver',
    'namespace_packages': (
    ),
    'package_data': {
        'ai.backend.web': (
            'VERSION',
            'py.typed',
            'static/asset-manifest.json',
            'static/config.toml',
            'static/dist/components/backend-ai-change-forgot-password-view-CTU1IgGK.js',
            'static/dist/components/backend-ai-edu-applauncher-DzX5-pmQ.js',
            'static/dist/components/backend-ai-email-verification-view-B3xxiPRU.js',
            'static/dist/components/backend-ai-error-view-D3reE2c6.js',
            'static/dist/components/backend-ai-import-view-ziTM-zxq.js',
            'static/dist/components/backend-ai-list-status-DRF1VaZs.js',
            'static/dist/components/backend-ai-permission-denied-view-ChcT-tbf.js',
            'static/dist/components/backend-ai-resource-group-list-DCJJM0Kn.js',
            'static/dist/components/backend-ai-serving-view-BYFHs2rm.js',
            'static/dist/components/backend-ai-session-launcher-BS_ZWH1z.js',
            'static/dist/components/backend-ai-session-view-BDT3kz68.js',
            'static/dist/components/backend-ai-settings-view-CUGlSryE.js',
            'static/dist/components/backend-ai-storage-host-settings-view-Cya17CD5.js',
            'static/dist/components/backend-ai-storage-proxy-list-mkz_LWEL.js',
            'static/dist/components/backend-ai-summary-view-BB_UTfJ1.js',
            'static/dist/components/backend-ai-webui-CYa1T8s6.js',
            'static/dist/components/backend-ai-webui.js',
            'static/dist/components/lablup-activity-panel-DqYslxGX.js',
            'static/dist/components/lablup-progress-bar-DYTXuADk.js',
            'static/dist/components/mwc-check-list-item-wh-PTqO8.js',
            'static/dist/components/mwc-switch-ffP68jDO.js',
            'static/index.html',
            'static/manifest.json',
            'static/manifest/app.js',
            'static/manifest/backend-ai.icns',
            'static/manifest/backend-ai.ico',
            'static/manifest/backend-ai.iconset/icon_128x128@1x.png',
            'static/manifest/backend-ai.iconset/icon_128x128@2x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@1x.png',
            'static/manifest/backend-ai.iconset/icon_16x16@2x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@1x.png',
            'static/manifest/backend-ai.iconset/icon_256x256@2x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@1x.png',
            'static/manifest/backend-ai.iconset/icon_32x32@2x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@1x.png',
            'static/manifest/backend-ai.iconset/icon_512x512@2x.png',
            'static/manifest/backend.ai-brand-simple-bgdark.svg',
            'static/manifest/backend.ai-brand-simple-black.svg',
            'static/manifest/backend.ai-brand-simple-white.svg',
            'static/manifest/backend.ai-brand-simple.svg',
            'static/manifest/backend.ai-text-bgdark.svg',
            'static/manifest/backend.ai-text.svg',
            'static/manifest/backend.ai-webui-black.svg',
            'static/manifest/backend.ai-webui-white.svg',
            'static/manifest/favicon.ico',
            'static/resources/ai-agents.json',
            'static/resources/ai-agents.schema.json',
            'static/resources/antdThemeConfig.schema.json',
            'static/resources/app_template.json',
            'static/resources/badge-dark.svg',
            'static/resources/badge.svg',
            'static/resources/custom.css',
            'static/resources/device_metadata.json',
            'static/resources/device_metadata.schema.json',
            'static/resources/documents/privacy-policy.en.html',
            'static/resources/documents/privacy-policy.ko.html',
            'static/resources/documents/terms-of-service.en.html',
            'static/resources/documents/terms-of-service.ko.html',
            'static/resources/fonts/fa-brands-400.woff',
            'static/resources/fonts/fa-brands-400.woff2',
            'static/resources/fonts/fa-regular-400.woff',
            'static/resources/fonts/fa-regular-400.woff2',
            'static/resources/fonts/fa-solid-900.woff',
            'static/resources/fonts/fa-solid-900.woff2',
            'static/resources/fonts/font-awesome-all.min.css',
            'static/resources/fonts/font-awesome.css',
            'static/resources/fonts/fonts.css',
            'static/resources/fonts/material-icons-outlined.woff2',
            'static/resources/fonts/material-icons-round.woff2',
            'static/resources/fonts/material-icons-sharp.woff2',
            'static/resources/fonts/material-icons-two-tone.woff2',
            'static/resources/fonts/material-icons.woff2',
            'static/resources/fonts/roboto-v19-latin-100.woff',
            'static/resources/fonts/roboto-v19-latin-100.woff2',
            'static/resources/fonts/roboto-v19-latin-100italic.woff',
            'static/resources/fonts/roboto-v19-latin-100italic.woff2',
            'static/resources/fonts/roboto-v19-latin-300.woff',
            'static/resources/fonts/roboto-v19-latin-300.woff2',
            'static/resources/fonts/roboto-v19-latin-300italic.woff',
            'static/resources/fonts/roboto-v19-latin-300italic.woff2',
            'static/resources/fonts/roboto-v19-latin-900.woff',
            'static/resources/fonts/roboto-v19-latin-900.woff2',
            'static/resources/fonts/roboto-v19-latin-900italic.woff',
            'static/resources/fonts/roboto-v19-latin-900italic.woff2',
            'static/resources/fonts/roboto-v19-latin-italic.woff',
            'static/resources/fonts/roboto-v19-latin-italic.woff2',
            'static/resources/fonts/roboto-v19-latin-regular.woff',
            'static/resources/fonts/roboto-v19-latin-regular.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bold.woff2',
            'static/resources/fonts/ubuntu-mono-v15-bolditalic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-italic.woff2',
            'static/resources/fonts/ubuntu-mono-v15-regular.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300.woff',
            'static/resources/fonts/ubuntu-v14-latin-300.woff2',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-300italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500.woff',
            'static/resources/fonts/ubuntu-v14-latin-500.woff2',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-500italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700.woff',
            'static/resources/fonts/ubuntu-v14-latin-700.woff2',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-700italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff',
            'static/resources/fonts/ubuntu-v14-latin-italic.woff2',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff',
            'static/resources/fonts/ubuntu-v14-latin-regular.woff2',
            'static/resources/i18n.schema.json',
            'static/resources/i18n/.prettierrc',
            'static/resources/i18n/de.json',
            'static/resources/i18n/el.json',
            'static/resources/i18n/en.json',
            'static/resources/i18n/es.json',
            'static/resources/i18n/fi.json',
            'static/resources/i18n/fr.json',
            'static/resources/i18n/id.json',
            'static/resources/i18n/it.json',
            'static/resources/i18n/ja.json',
            'static/resources/i18n/ko.json',
            'static/resources/i18n/mn.json',
            'static/resources/i18n/ms.json',
            'static/resources/i18n/pl.json',
            'static/resources/i18n/pt-BR.json',
            'static/resources/i18n/pt.json',
            'static/resources/i18n/ru.json',
            'static/resources/i18n/th.json',
            'static/resources/i18n/tr.json',
            'static/resources/i18n/vi.json',
            'static/resources/i18n/zh-CN.json',
            'static/resources/i18n/zh-TW.json',
            'static/resources/icons/LICENSE.md',
            'static/resources/icons/anaconda.svg',
            'static/resources/icons/apache-spark.svg',
            'static/resources/icons/aws.png',
            'static/resources/icons/azure.png',
            'static/resources/icons/c.svg',
            'static/resources/icons/caffe.png',
            'static/resources/icons/caffe2.svg',
            'static/resources/icons/ceph.png',
            'static/resources/icons/check-list.svg',
            'static/resources/icons/classification.svg',
            'static/resources/icons/cpp.svg',
            'static/resources/icons/default.png',
            'static/resources/icons/default_app.svg',
            'static/resources/icons/file_type_cuda.svg',
            'static/resources/icons/file_type_python.svg',
            'static/resources/icons/filebrowser.svg',
            'static/resources/icons/flux.png',
            'static/resources/icons/furiosa.svg',
            'static/resources/icons/gaudi.svg',
            'static/resources/icons/gcc.png',
            'static/resources/icons/gcp.png',
            'static/resources/icons/gdrive.png',
            'static/resources/icons/h2o.png',
            'static/resources/icons/haskell.png',
            'static/resources/icons/ipu.svg',
            'static/resources/icons/javascript.png',
            'static/resources/icons/julia.png',
            'static/resources/icons/jupyter.png',
            'static/resources/icons/jupyterlab.png',
            'static/resources/icons/kitty.png',
            'static/resources/icons/lablup.png',
            'static/resources/icons/local.png',
            'static/resources/icons/lua.png',
            'static/resources/icons/matlab.png',
            'static/resources/icons/mlflow.png',
            'static/resources/icons/mxnet.svg',
            'static/resources/icons/nbp.png',
            'static/resources/icons/nni.png',
            'static/resources/icons/nni.svg',
            'static/resources/icons/nodejs.png',
            'static/resources/icons/novnc.svg',
            'static/resources/icons/npu_generic.svg',
            'static/resources/icons/nvidia.svg',
            'static/resources/icons/octave.png',
            'static/resources/icons/openstack.png',
            'static/resources/icons/orbit.svg',
            'static/resources/icons/php.png',
            'static/resources/icons/purestorage.png',
            'static/resources/icons/python.png',
            'static/resources/icons/pytorch.svg',
            'static/resources/icons/r-lang.svg',
            'static/resources/icons/rebel.svg',
            'static/resources/icons/rocm.svg',
            'static/resources/icons/rust.svg',
            'static/resources/icons/sftp.png',
            'static/resources/icons/sftp2.png',
            'static/resources/icons/swift-tensorflow.png',
            'static/resources/icons/swift.svg',
            'static/resources/icons/tensorflow.png',
            'static/resources/icons/terminal.svg',
            'static/resources/icons/texlive.png',
            'static/resources/icons/tpu.svg',
            'static/resources/icons/ubuntu.svg',
            'static/resources/icons/vscode.svg',
            'static/resources/icons/xfce.png',
            'static/resources/icons/xrdp.svg',
            'static/resources/image_metadata.json',
            'static/resources/images/401_unauthorized_access.svg',
            'static/resources/images/404_not_found.svg',
            'static/resources/images/launcher-background.png',
            'static/resources/images/loading-background-large.jpg',
            'static/resources/images/loading-background.jpg',
            'static/resources/images/web-terminal-guide-1.png',
            'static/resources/images/web-terminal-guide-2.png',
            'static/resources/images/web-terminal-guide-3.png',
            'static/resources/images/web-terminal-guide-4.png',
            'static/resources/menu_icons/icon_create_a_key_pair.svg',
            'static/resources/menu_icons/icon_keypair_management.svg',
            'static/resources/menu_icons/icon_upload_files.svg',
            'static/resources/storage_metadata.json',
            'static/resources/templates/under_construction.html',
            'static/resources/theme.json',
            'static/resources/theme.schema.json',
            'static/resources/webui.css',
            'static/src/lib/bundles/webcomponents-ce.js',
            'static/src/lib/bundles/webcomponents-ce.js.map',
            'static/src/lib/bundles/webcomponents-pf_dom.js',
            'static/src/lib/bundles/webcomponents-pf_dom.js.map',
            'static/src/lib/bundles/webcomponents-pf_js.js',
            'static/src/lib/bundles/webcomponents-pf_js.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js',
            'static/src/lib/bundles/webcomponents-sd-ce-pf.js.map',
            'static/src/lib/bundles/webcomponents-sd-ce.js',
            'static/src/lib/bundles/webcomponents-sd-ce.js.map',
            'static/src/lib/bundles/webcomponents-sd.js',
            'static/src/lib/bundles/webcomponents-sd.js.map',
            'static/src/lib/web-animations-js/web-animations-next-lite.min.js',
            'static/src/lib/webcomponents-loader.js',
            'static/static/css/369.ed1810f1.chunk.css',
            'static/static/css/369.ed1810f1.chunk.css.map',
            'static/static/js/1133.ef8c1776.chunk.js',
            'static/static/js/1133.ef8c1776.chunk.js.map',
            'static/static/js/114.061aa0fd.chunk.js',
            'static/static/js/114.061aa0fd.chunk.js.map',
            'static/static/js/1254.37f644af.chunk.js',
            'static/static/js/1254.37f644af.chunk.js.map',
            'static/static/js/1258.44882baa.chunk.js',
            'static/static/js/1258.44882baa.chunk.js.map',
            'static/static/js/1409.9664817e.chunk.js',
            'static/static/js/1409.9664817e.chunk.js.map',
            'static/static/js/1420.df656854.chunk.js',
            'static/static/js/1420.df656854.chunk.js.map',
            'static/static/js/1428.a74a4ccc.chunk.js',
            'static/static/js/1428.a74a4ccc.chunk.js.map',
            'static/static/js/171.6d0299f9.chunk.js',
            'static/static/js/171.6d0299f9.chunk.js.map',
            'static/static/js/1822.c4d4db18.chunk.js',
            'static/static/js/1822.c4d4db18.chunk.js.map',
            'static/static/js/1895.3b3e1ccb.chunk.js',
            'static/static/js/1895.3b3e1ccb.chunk.js.map',
            'static/static/js/1929.2ea9856f.chunk.js',
            'static/static/js/1929.2ea9856f.chunk.js.LICENSE.txt',
            'static/static/js/1929.2ea9856f.chunk.js.map',
            'static/static/js/1968.e9400b2e.chunk.js',
            'static/static/js/1968.e9400b2e.chunk.js.map',
            'static/static/js/2159.2288ad61.chunk.js',
            'static/static/js/2159.2288ad61.chunk.js.map',
            'static/static/js/2339.eb43561d.chunk.js',
            'static/static/js/2339.eb43561d.chunk.js.map',
            'static/static/js/2340.e652a9ce.chunk.js',
            'static/static/js/2340.e652a9ce.chunk.js.map',
            'static/static/js/2483.468fc39f.chunk.js',
            'static/static/js/2483.468fc39f.chunk.js.map',
            'static/static/js/2507.a7a6e15c.chunk.js',
            'static/static/js/2507.a7a6e15c.chunk.js.map',
            'static/static/js/2513.5daf8b23.chunk.js',
            'static/static/js/2513.5daf8b23.chunk.js.map',
            'static/static/js/279.f087c50a.chunk.js',
            'static/static/js/279.f087c50a.chunk.js.LICENSE.txt',
            'static/static/js/279.f087c50a.chunk.js.map',
            'static/static/js/2937.e88373dd.chunk.js',
            'static/static/js/2937.e88373dd.chunk.js.map',
            'static/static/js/2960.456b38bd.chunk.js',
            'static/static/js/2960.456b38bd.chunk.js.LICENSE.txt',
            'static/static/js/2960.456b38bd.chunk.js.map',
            'static/static/js/3390.0dc21f5c.chunk.js',
            'static/static/js/3390.0dc21f5c.chunk.js.map',
            'static/static/js/3472.b64d3ac0.chunk.js',
            'static/static/js/3472.b64d3ac0.chunk.js.map',
            'static/static/js/3539.9ae107dd.chunk.js',
            'static/static/js/3539.9ae107dd.chunk.js.LICENSE.txt',
            'static/static/js/3539.9ae107dd.chunk.js.map',
            'static/static/js/369.e23f9e50.chunk.js',
            'static/static/js/369.e23f9e50.chunk.js.LICENSE.txt',
            'static/static/js/369.e23f9e50.chunk.js.map',
            'static/static/js/378.17b6dc2b.chunk.js',
            'static/static/js/378.17b6dc2b.chunk.js.map',
            'static/static/js/4104.fc49d9ff.chunk.js',
            'static/static/js/4104.fc49d9ff.chunk.js.map',
            'static/static/js/4827.45ce03ef.chunk.js',
            'static/static/js/4827.45ce03ef.chunk.js.map',
            'static/static/js/5214.0e805a2c.chunk.js',
            'static/static/js/5214.0e805a2c.chunk.js.map',
            'static/static/js/5311.559c40fe.chunk.js',
            'static/static/js/5311.559c40fe.chunk.js.map',
            'static/static/js/5318.9f4c3cef.chunk.js',
            'static/static/js/5318.9f4c3cef.chunk.js.LICENSE.txt',
            'static/static/js/5318.9f4c3cef.chunk.js.map',
            'static/static/js/5517.93e40b06.chunk.js',
            'static/static/js/5517.93e40b06.chunk.js.map',
            'static/static/js/5621.dbd7d938.chunk.js',
            'static/static/js/5621.dbd7d938.chunk.js.LICENSE.txt',
            'static/static/js/5621.dbd7d938.chunk.js.map',
            'static/static/js/5692.7698248e.chunk.js',
            'static/static/js/5692.7698248e.chunk.js.map',
            'static/static/js/5890.7361b718.chunk.js',
            'static/static/js/5890.7361b718.chunk.js.map',
            'static/static/js/6029.ea9641d4.chunk.js',
            'static/static/js/6029.ea9641d4.chunk.js.map',
            'static/static/js/6083.53fb7764.chunk.js',
            'static/static/js/6083.53fb7764.chunk.js.LICENSE.txt',
            'static/static/js/6083.53fb7764.chunk.js.map',
            'static/static/js/6317.9b2e4028.chunk.js',
            'static/static/js/6317.9b2e4028.chunk.js.map',
            'static/static/js/6502.d3582b0e.chunk.js',
            'static/static/js/6502.d3582b0e.chunk.js.map',
            'static/static/js/6657.8a315449.chunk.js',
            'static/static/js/6657.8a315449.chunk.js.map',
            'static/static/js/6659.26d3d149.chunk.js',
            'static/static/js/6659.26d3d149.chunk.js.map',
            'static/static/js/6853.a8caded4.chunk.js',
            'static/static/js/6853.a8caded4.chunk.js.map',
            'static/static/js/689.817a971c.chunk.js',
            'static/static/js/689.817a971c.chunk.js.map',
            'static/static/js/7032.badcc988.chunk.js',
            'static/static/js/7032.badcc988.chunk.js.LICENSE.txt',
            'static/static/js/7032.badcc988.chunk.js.map',
            'static/static/js/7122.56732ea8.chunk.js',
            'static/static/js/7122.56732ea8.chunk.js.map',
            'static/static/js/7372.5ca9ad33.chunk.js',
            'static/static/js/7372.5ca9ad33.chunk.js.map',
            'static/static/js/7496.38a163cc.chunk.js',
            'static/static/js/7496.38a163cc.chunk.js.map',
            'static/static/js/7523.e46fc456.chunk.js',
            'static/static/js/7523.e46fc456.chunk.js.map',
            'static/static/js/7562.f5c13ce6.chunk.js',
            'static/static/js/7562.f5c13ce6.chunk.js.LICENSE.txt',
            'static/static/js/7562.f5c13ce6.chunk.js.map',
            'static/static/js/7567.2875fa0e.chunk.js',
            'static/static/js/7567.2875fa0e.chunk.js.map',
            'static/static/js/7668.6f7d4117.chunk.js',
            'static/static/js/7995.28b5d4dc.chunk.js',
            'static/static/js/7995.28b5d4dc.chunk.js.map',
            'static/static/js/8793.cafe9e02.chunk.js',
            'static/static/js/8793.cafe9e02.chunk.js.map',
            'static/static/js/8819.f1ee76d7.chunk.js',
            'static/static/js/8819.f1ee76d7.chunk.js.map',
            'static/static/js/8829.80bedcb6.chunk.js',
            'static/static/js/8829.80bedcb6.chunk.js.map',
            'static/static/js/9863.ac684794.chunk.js',
            'static/static/js/9863.ac684794.chunk.js.map',
            'static/static/js/9963.ae63cc1d.chunk.js',
            'static/static/js/9963.ae63cc1d.chunk.js.map',
            'static/static/js/main.6f48ce2d.js',
            'static/static/js/main.6f48ce2d.js.LICENSE.txt',
            'static/static/js/main.6f48ce2d.js.map',
            'static/static/media/App.31a5e0490276cd14bbda29ad92d6e151.svg',
            'static/static/media/ContainerCommit.1780724d4a98ae1d0738d4f98b5e49b5.svg',
            'static/static/media/Endpoints.c580a536457ec4d9573e73e25cc140c1.svg',
            'static/static/media/ExampleStart.7b2255caf3137fa27566876d63e7176e.svg',
            'static/static/media/KaTeX_AMS-Regular.73ea273a72f4aca30ca5.woff2',
            'static/static/media/KaTeX_AMS-Regular.853be92419a6c3766b9a.ttf',
            'static/static/media/KaTeX_AMS-Regular.d562e886c52f12660a41.woff',
            'static/static/media/KaTeX_Caligraphic-Bold.7489a2fbfb9bfe704420.ttf',
            'static/static/media/KaTeX_Caligraphic-Bold.a1abf90dfd72792a577a.woff2',
            'static/static/media/KaTeX_Caligraphic-Bold.d757c535a2e5902f1325.woff',
            'static/static/media/KaTeX_Caligraphic-Regular.7e873d3833eb108a0758.ttf',
            'static/static/media/KaTeX_Caligraphic-Regular.d6484fce1ef428d5bd94.woff2',
            'static/static/media/KaTeX_Caligraphic-Regular.db074fa22cf224af93d7.woff',
            'static/static/media/KaTeX_Fraktur-Bold.354501bac435c3264834.woff',
            'static/static/media/KaTeX_Fraktur-Bold.4c761b3711973ab04edf.ttf',
            'static/static/media/KaTeX_Fraktur-Bold.931d67ea207ab37ee693.woff2',
            'static/static/media/KaTeX_Fraktur-Regular.172d3529b26f8cedef6b.woff2',
            'static/static/media/KaTeX_Fraktur-Regular.6fdf0ac577be0ba82a4c.woff',
            'static/static/media/KaTeX_Fraktur-Regular.ed305b5434865e06ffde.ttf',
            'static/static/media/KaTeX_Main-Bold.0c3b8929d377c0e9b2f3.woff',
            'static/static/media/KaTeX_Main-Bold.39890742bc957b368704.woff2',
            'static/static/media/KaTeX_Main-Bold.8169508bf58f8bd92ad8.ttf',
            'static/static/media/KaTeX_Main-BoldItalic.20f389c4120be058d80a.woff2',
            'static/static/media/KaTeX_Main-BoldItalic.428978dc7837d46de091.woff',
            'static/static/media/KaTeX_Main-BoldItalic.828abcb200061cffbaae.ttf',
            'static/static/media/KaTeX_Main-Italic.fa675e5e4bec9eb250b6.ttf',
            'static/static/media/KaTeX_Main-Italic.fd947498bc16392e76c2.woff',
            'static/static/media/KaTeX_Main-Italic.fe2176f79edaa716e621.woff2',
            'static/static/media/KaTeX_Main-Regular.4f35fbcc9ee8614c2bcc.woff',
            'static/static/media/KaTeX_Main-Regular.9eba1d77abcf2aa6e94e.ttf',
            'static/static/media/KaTeX_Main-Regular.f650f111a3b890d116f1.woff2',
            'static/static/media/KaTeX_Math-BoldItalic.3f07ed67f06c720120ce.woff',
            'static/static/media/KaTeX_Math-BoldItalic.bf2d440b3a42ea78a998.ttf',
            'static/static/media/KaTeX_Math-BoldItalic.dcbcbd93bac0470b462d.woff2',
            'static/static/media/KaTeX_Math-Italic.6d3d25f4820d0da8f01f.woff2',
            'static/static/media/KaTeX_Math-Italic.8a5f936332e8028c7278.ttf',
            'static/static/media/KaTeX_Math-Italic.96759856b4e70f3a8338.woff',
            'static/static/media/KaTeX_SansSerif-Bold.5b49f4993ae22d7975b4.ttf',
            'static/static/media/KaTeX_SansSerif-Bold.95591a929f0d32aa282a.woff2',
            'static/static/media/KaTeX_SansSerif-Bold.b9cd458ac6d5889ff9c3.woff',
            'static/static/media/KaTeX_SansSerif-Italic.7d393d382f3e7fb1c637.woff2',
            'static/static/media/KaTeX_SansSerif-Italic.8d593cfaa96238d5e2f8.woff',
            'static/static/media/KaTeX_SansSerif-Italic.b257a18c016f37ee4543.ttf',
            'static/static/media/KaTeX_SansSerif-Regular.02271ec5cb9f5b4588ac.woff',
            'static/static/media/KaTeX_SansSerif-Regular.2f7bc363fc5424ebda59.ttf',
            'static/static/media/KaTeX_SansSerif-Regular.cd5e231e0cc53b2cb2c0.woff2',
            'static/static/media/KaTeX_Script-Regular.073b3402d036714b4370.woff',
            'static/static/media/KaTeX_Script-Regular.c81d1b2a4b75d3eded60.woff2',
            'static/static/media/KaTeX_Script-Regular.fc9ba5249878cd8f8d88.ttf',
            'static/static/media/KaTeX_Size1-Regular.0108e89c9003e8c14ea3.woff',
            'static/static/media/KaTeX_Size1-Regular.6de7d4b539221a49e9e2.ttf',
            'static/static/media/KaTeX_Size1-Regular.6eec866c69313624be60.woff2',
            'static/static/media/KaTeX_Size2-Regular.2960900c4f271311eb36.woff2',
            'static/static/media/KaTeX_Size2-Regular.3a99e70aee4076660d38.woff',
            'static/static/media/KaTeX_Size2-Regular.57f5c1837853986ea1db.ttf',
            'static/static/media/KaTeX_Size3-Regular.7947224e8a9914fa332b.woff',
            'static/static/media/KaTeX_Size3-Regular.8d6b6822586eea3d3b20.ttf',
            'static/static/media/KaTeX_Size3-Regular.e1951519f6f0596f7356.woff2',
            'static/static/media/KaTeX_Size4-Regular.4ad7c7e8bb8d10a34bb7.ttf',
            'static/static/media/KaTeX_Size4-Regular.aeffd8025cba3647f1a6.woff',
            'static/static/media/KaTeX_Size4-Regular.e418bf257af1052628d8.woff2',
            'static/static/media/KaTeX_Typewriter-Regular.4c6b94fd1d07f8beff7c.woff',
            'static/static/media/KaTeX_Typewriter-Regular.c295e7f71970f03c0549.woff2',
            'static/static/media/KaTeX_Typewriter-Regular.c5c02d763c89380dcb4e.ttf',
            'static/static/media/ModelStore.fbeb8d607ebe2d58e89d7983b84249e6.svg',
            'static/static/media/MyEnvironments.722665aa4e41f56bd36ef808274d4b93.svg',
            'static/static/media/NewFolder.08367c7d4fd22988316172fdbc5c19b7.svg',
            'static/static/media/Pipelines.9190b9a03b6dd2c13a87ef00f19b91fa.svg',
            'static/static/media/Restore.7e8cf1728b3c9f6734ab1afea271ff4a.svg',
            'static/static/media/SessionLog.9190bd076088966fb7444616e65188c5.svg',
            'static/static/media/Sessions.6d700a0755b615ae677ca2ef8bfaf289.svg',
            'static/static/media/ShareAlt.f61419c9d9113488abd20ee1985ee093.svg',
            'static/static/media/TerminalApp.1634187e51dae2f890ba3fb3046a6c8c.svg',
            'static/static/media/Terminate.5b6752a842ac03774f0c82b6677c4baa.svg',
            'static/static/media/TrashBin.bbdf9c84d1f61936cbdf15d38fb5c8a9.svg',
            'static/static/media/UserUnion.cd4537eec6362b1e20182da0465549ca.svg',
            'static/static/media/index.42119833dddefe38a9fa.cjs',
            'static/sw.js',
            'static/sw.js.map',
            'static/version.json',
            'static/workbox-ed9981e3.js',
            'static/workbox-ed9981e3.js.map',
            'templates/config.toml.j2',
            'templates/config_ini.toml.j2',
        ),
    },
    'packages': (
        'ai.backend.web',
    ),
    'project_urls': {
        'Documentation': 'https://docs.backend.ai/',
        'Source': 'https://github.com/lablup/backend.ai',
    },
    'python_requires': '>=3.12,<3.13',
    'url': 'https://github.com/lablup/backend.ai',
    'version': '25.5.2',
    'zip_safe': False,
})
